summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorTim Rozet <trozet@redhat.com>2016-06-15 16:24:11 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2016-06-15 16:24:11 +0000
commit46d17cd2e33b9a410f55d850aa46dfa3c8c1e84c (patch)
tree552049934281c289e7b8be2c191625ebe27fb427 /ci
parent3f45ea46772a2a2559df77704d74899fd02f3a9a (diff)
parent32e774931b7f697f0825e99247787df1caee4c55 (diff)
Merge "Change virtual deployment VMs nic model to virtio for dpdk support"
Diffstat (limited to 'ci')
-rwxr-xr-xci/deploy.sh2
-rwxr-xr-xci/dev_deploy_check.sh6
2 files changed, 7 insertions, 1 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 44914f22..05e2fa2b 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -527,7 +527,7 @@ EOF
for n in private_network public_network storage_network api_network; do
if [[ $enabled_network_list =~ $n ]]; then
echo -n "$n "
- virsh attach-interface --domain baremetal${i} --type network --source $n --model rtl8139 --config
+ virsh attach-interface --domain baremetal${i} --type network --source $n --model virtio --config
fi
done
else
diff --git a/ci/dev_deploy_check.sh b/ci/dev_deploy_check.sh
index 8ba46ab0..831ff1fd 100755
--- a/ci/dev_deploy_check.sh
+++ b/ci/dev_deploy_check.sh
@@ -25,6 +25,12 @@ if ! sudo yum $rdo_action -y https://www.rdoproject.org/repos/rdo-release.rpm;
exit 1
fi
+# update ipxe-roms-qemu
+if ! sudo yum update -y ipxe-roms-qemu; then
+ echo "Failed to update ipxe-roms-qemu package..."
+ exit 1
+fi
+
# check for other packages
for i in epel-release python34-PyYAML openvswitch openstack-tripleo libguestfs libguestfs-tools-c libvirt-python; do
# Make sure deploy deps are installed